Loading...
Searching...
No Matches
Input Devices
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration

## Topics

| Gesture Subscription

## Data Structures

struct | GeisInputFuncs
| Callback functions used to handle changes in the available input devices. More...

## Vendor-defined Configuration Items

  These configuration items are not a part of the GEIS specification and may change.

typedef unsigned int | GeisInputDeviceId
typedef void(* | GeisInputCallback) (void *cookie, GeisInputDeviceId device_id, void *attrs)
| Prototype for input device callback functions.
typedef struct GeisInputFuncs | GeisInputFuncs
| Callback functions used to handle changes in the available input devices.
GeisStatus | geis_input_devices (GeisInstance geis_instance, GeisInputFuncs *func, void *cookie)
| Registers a callback to receive information on input devices.
#define | GEIS_ALL_INPUT_DEVICES

## Detailed Description

## Typedef Documentation

## GeisInputCallback

typedef void(* GeisInputCallback) (void *cookie, GeisInputDeviceId device_id, void *attrs)

Prototype for input device callback functions.

## GeisInputFuncs

typedef struct GeisInputFuncs GeisInputFuncs

Callback functions used to handle changes in the available input devices.

## Function Documentation

## geis_input_devices()

GeisStatus geis_input_devices | ( | GeisInstance | geis_instance,
|  | GeisInputFuncs * | func,
|  | void * | cookie )

Registers a callback to receive information on input devices.

Parameters

  [in] | geis_instance | points to a geis gesture subscription instance
  [in] | func | points to a GeisInputFuncs table
  [in] | cookie | an application specific value to be passed to the callback

The callback is called for each gesture-capable input device available for the display region associated with the geis subscription instance. Over time, as gesture-capable input devices appear and disappear or change their abilities or configuration, the callback may be called again.

Return values

  GEIS_BAD_ARGUMENT | an invalid argument value was passed
  GEIS_STATUS_SUCCESS | normal successful completion